# Get notification destination

> Source: https://truto.one/docs/api-reference/admin/notification-destinations/get/

`GET /notification-destination/{id}`

Resource: **Notification destinations**

## Response body

- **`id`** _(string)_
  The ID of the notification destination.
- **`environment_id`** _(string)_
- **`type`** _(string)_
  Allowed: `slack`, `email`
- **`label`** _(string)_
- **`config`** _(object)_
  The destination's settings. The shape depends on `type`.
  _One of:_
  - **Slack**
    - **`webhook_url`** _(string)_
      A Slack incoming webhook URL. Returned masked as `********`. A `PATCH` that sends `********` back, or leaves the field out, keeps the stored URL.
    - **`ignored_status_codes`** _(array<number>)_
      For `api_errors` events, HTTP status codes not to notify about.
  - **Email**
    - **`to`** _(array<string>)_
    - **`cc`** _(array<string>)_
    - **`bcc`** _(array<string>)_
    - **`subject_prefix`** _(string)_
- **`is_active`** _(boolean)_
  Whether notifications are sent to this destination.
- **`event_types`** _(array<string>)_
  The notification event types this destination receives.
- **`created_at`** _(string)_
- **`updated_at`** _(string)_

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/notification-destination/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/notification-destination/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/notification-destination/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
